Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dataobject
Class ServiceDO

    java.lang.Object
      java.util.Observable
          org.wso2.wsas.persistence.dataobject.AbstractDataObject
              org.wso2.wsas.persistence.dataobject.ServiceDO

    public class ServiceDO

extends AbstractDataObject

Data object representing a service in WSO2 WSAS

Constructor Summary
`ServiceDO()` Constructs a new ServiceDO.

Method Summary
`void` | `addEngagedModule(ModuleDO module)`
`void` | `addOperation(OperationDO operation)`
`void` | `addParameter(ServiceParameterDO param)`
`void` | `addPolicy(ServicePolicyDO policy)`
`void` | `addRole(ServiceUserRoleDO role)`
`void` | `addTransport(TransportDO transport)`
`void` | `addTrustedCertStore(KeyStoreDO keyStore)`
`void` | `addTrustStore(KeyStoreDO trustStore)`
`void` | `addUser(ServiceUserDO serviceUser)`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getDocumentation()`
`java.util.Set` | `getEngagedModules()` Getter for property 'engagedModules'.
`boolean` | `getIsActive()` Getter for property 'isActive'.
`boolean` | `getIsExposedOnAllTransports()` Getter for property 'isExposedOnAllTransports'.
`boolean` | `getIsUTAuthEnabled()` Getter for property 'isUTAuthEnabled'.
`OperationDO[]` | `getOperation(java.lang.String operationName)` Method to get a single operationDO by specifying name.
`java.util.Set` | `getOperations()` Getter for property 'operations'.
`ServiceParameterDO` | `getParameter(java.lang.String paramName)` Retrun the ServiceParameterDO to the given para name
`java.util.Set` | `getParameters()` Getter for property 'parameters'.
`java.util.Set` | `getPolicies()` Getter for property 'policies'.
`KeyStoreDO` | `getPrivateKeyStore()` Getter for property 'privateKeyStore'.
`java.util.Set` | `getRoles()` Getter for property 'roles'.
`SecurityScenarioDO` | `getSecurityScenario()` Getter for property 'securityScenario'.
`ServiceGroupDO` | `getServiceGroup()` Getter for property 'serviceGroup'.
`ServiceIdentifierDO` | `getServiceIdentifierDO()` Getter for property 'serviceIdentifierDO'.
`java.util.Set` | `getTransports()` Getter for property 'transports'.
`java.util.Set` | `getTrustedCertStores()` Getter for property 'trustStores'.
`java.util.Set` | `getUsers()` Getter for property 'users'.
`int` | `hashCode()`
`void` | `removeAllRelationships()`
`void` | `removeAllRoles()`
`void` | `removeAllTransports()`
`void` | `removeAllTrustedCertStores()`
`void` | `removeAllUsers()`
`void` | `removeSecurityScenario()`
`void` | `setDocumentation(java.lang.String documentation)`
`void` | `setEngagedModules(java.util.Set engagedModules)` Setter for property 'engagedModules'.
`void` | `setIsActive(boolean isActive)` Setter for property 'isActive'.
`void` | `setIsExposedOnAllTransports(boolean isExposedOnAllTransports)` Setter for property 'isExposedOnAllTransports'.
`void` | `setIsUTAuthEnabled(boolean utAuthEnabled)` Setter for property 'isUTAuthEnabled'.
`void` | `setOperations(java.util.Set operations)` Setter for property 'operations'.
`void` | `setParameters(java.util.Set parameters)` Setter for property 'parameters'.
`void` | `setPolicies(java.util.Set policies)` Setter for property 'policies'.
`void` | `setPrivateKeyStore(KeyStoreDO privateKeyStore)` Setter for property 'privateKeyStore'.
`void` | `setRoles(java.util.Set roles)` Setter for property 'roles'.
`void` | `setSecurityScenario(SecurityScenarioDO securityScenario)` Setter for property 'securityScenario'.
`void` | `setServiceGroup(ServiceGroupDO serviceGroup)` Setter for property 'serviceGroup'.
`void` | `setServiceIdentifierDO(ServiceIdentifierDO serviceIdentifierDO)` Setter for property 'serviceIdentifierDO'.
`void` | `setTransports(java.util.Set transports)` Setter for property 'transports'.
`void` | `setTrustedCertStores(java.util.Set trustedCertStores)` Setter for property 'trustStores'.
`void` | `setUsers(java.util.Set users)` Setter for property 'users'.

Methods inherited from class org.wso2.wsas.persistence.dataobject.AbstractDataObject
`getId, getLastUpdatedTime, notifyObservers, setId, setLastUpdatedTime`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceDO

    public ServiceDO()

  Constructs a new ServiceDO.

Method Detail

### getServiceIdentifierDO

    public ServiceIdentifierDO getServiceIdentifierDO()

  Getter for property 'serviceIdentifierDO'.

  Returns:
    Value for property 'serviceIdentifierDO'.
  See Also:
    `setServiceIdentifierDO(org.wso2.wsas.persistence.dataobject.ServiceIdentifierDO)`

### setServiceIdentifierDO

    public void setServiceIdentifierDO(ServiceIdentifierDO serviceIdentifierDO)

  Setter for property 'serviceIdentifierDO'.

  Parameters:
    `serviceIdentifierDO` - Value to set for property 'serviceIdentifierDO'.
  See Also:
    `getServiceIdentifierDO()`

### getIsUTAuthEnabled

    public boolean getIsUTAuthEnabled()

  Getter for property 'isUTAuthEnabled'.

  Returns:
    Value for property 'isUTAuthEnabled'.
  See Also:
    `setIsUTAuthEnabled(boolean)`

### setIsUTAuthEnabled

    public void setIsUTAuthEnabled(boolean utAuthEnabled)

  Setter for property 'isUTAuthEnabled'.

  Parameters:
    `utAuthEnabled` - Value to set for property 'isUTAuthEnabled'.
  See Also:
    `getIsUTAuthEnabled()`

### getIsExposedOnAllTransports

    public boolean getIsExposedOnAllTransports()

  Getter for property 'isExposedOnAllTransports'.

  Returns:
    Value for property 'isExposedOnAllTransports'.
  See Also:
    `setIsExposedOnAllTransports(boolean)`

### setIsExposedOnAllTransports

    public void setIsExposedOnAllTransports(boolean isExposedOnAllTransports)

  Setter for property 'isExposedOnAllTransports'.

  Parameters:
    `isExposedOnAllTransports` - Value to set for property 'isExposedOnAllTransports'.
  See Also:
    `getIsExposedOnAllTransports()`

### getIsActive

    public boolean getIsActive()

  Getter for property 'isActive'.

  Returns:
    Value for property 'isActive'.
  See Also:
    `setIsActive(boolean)`

### setIsActive

    public void setIsActive(boolean isActive)

  Setter for property 'isActive'.

  Parameters:
    `isActive` - Value to set for property 'isActive'.
  See Also:
    `getIsActive()`

### getUsers

    public java.util.Set getUsers()

  Getter for property 'users'.

  Returns:
    Value for property 'users'.
  See Also:
    `setUsers(java.util.Set)`

### getPolicies

    public java.util.Set getPolicies()

  Getter for property 'policies'.

  Returns:
    Value for property 'policies'.
  See Also:
    `setPolicies(java.util.Set)`

### setPolicies

    public void setPolicies(java.util.Set policies)

  Setter for property 'policies'.

  Parameters:
    `policies` - Value to set for property 'policies'.
  See Also:
    `getPolicies()`

### getOperations

    public java.util.Set getOperations()

  Getter for property 'operations'.

  Returns:
    Value for property 'operations'.
  See Also:
    `setOperations(java.util.Set)`

### getOperation

    public OperationDO[] getOperation(java.lang.String operationName)

  Method to get a single operationDO by specifying name.

  Parameters:
    `operationName` -
  Returns:
    OperationDO[] array

### setOperations

    public void setOperations(java.util.Set operations)

  Setter for property 'operations'.

  Parameters:
    `operations` - Value to set for property 'operations'.
  See Also:
    `getOperations()`

### setUsers

    public void setUsers(java.util.Set users)

  Setter for property 'users'.

  Parameters:
    `users` - Value to set for property 'users'.
  See Also:
    `getUsers()`

### getParameters

    public java.util.Set getParameters()

  Getter for property 'parameters'.

  Returns:
    Value for property 'parameters'.
  See Also:
    `setParameters(java.util.Set)`

### getParameter

    public ServiceParameterDO getParameter(java.lang.String paramName)

  Retrun the ServiceParameterDO to the given para name

  Parameters:
    `paramName` -
  Returns:
    ServiceParameterDO

### setParameters

    public void setParameters(java.util.Set parameters)

  Setter for property 'parameters'.

  Parameters:
    `parameters` - Value to set for property 'parameters'.
  See Also:
    `getParameters()`

### getRoles

    public java.util.Set getRoles()

  Getter for property 'roles'.

  Returns:
    Value for property 'roles'.
  See Also:
    `setRoles(java.util.Set)`

### setRoles

    public void setRoles(java.util.Set roles)

  Setter for property 'roles'.

  Parameters:
    `roles` - Value to set for property 'roles'.
  See Also:
    `getRoles()`

### getTransports

    public java.util.Set getTransports()

  Getter for property 'transports'.

  Returns:
    Value for property 'transports'.
  See Also:
    `setTransports(java.util.Set)`

### setTransports

    public void setTransports(java.util.Set transports)

  Setter for property 'transports'.

  Parameters:
    `transports` - Value to set for property 'transports'.
  See Also:
    `getTransports()`

### getPrivateKeyStore

    public KeyStoreDO getPrivateKeyStore()

  Getter for property 'privateKeyStore'.

  Returns:
    Value for property 'privateKeyStore'.
  See Also:
    `setPrivateKeyStore(org.wso2.wsas.persistence.dataobject.KeyStoreDO)`

### setPrivateKeyStore

    public void setPrivateKeyStore(KeyStoreDO privateKeyStore)

  Setter for property 'privateKeyStore'.

  Parameters:
    `privateKeyStore` - Value to set for property 'privateKeyStore'.
  See Also:
    `getPrivateKeyStore()`

### getTrustedCertStores

    public java.util.Set getTrustedCertStores()

  Getter for property 'trustStores'.

  Returns:
    Value for property 'trustStores'.
  See Also:
    `setTrustedCertStores(java.util.Set)`

### setTrustedCertStores

    public void setTrustedCertStores(java.util.Set trustedCertStores)

  Setter for property 'trustStores'.

  Parameters:
    `trustedCertStores` - Value to set for property 'trustStores'.
  See Also:
    `getTrustedCertStores()`

### addRole

    public void addRole(ServiceUserRoleDO role)

### addTrustedCertStore

    public void addTrustedCertStore(KeyStoreDO keyStore)

### removeAllTrustedCertStores

    public void removeAllTrustedCertStores()

### removeAllUsers

    public void removeAllUsers()

### removeAllRoles

    public void removeAllRoles()

### removeAllTransports

    public void removeAllTransports()

### removeSecurityScenario

    public void removeSecurityScenario()

### removeAllRelationships

    public void removeAllRelationships()

### addParameter

    public void addParameter(ServiceParameterDO param)

### addUser

    public void addUser(ServiceUserDO serviceUser)

### addPolicy

    public void addPolicy(ServicePolicyDO policy)

### addOperation

    public void addOperation(OperationDO operation)

### addEngagedModule

    public void addEngagedModule(ModuleDO module)

### addTransport

    public void addTransport(TransportDO transport)

### addTrustStore

    public void addTrustStore(KeyStoreDO trustStore)

### getEngagedModules

    public java.util.Set getEngagedModules()

  Getter for property 'engagedModules'.

  Returns:
    Value for property 'engagedModules'.
  See Also:
    `setEngagedModules(java.util.Set)`

### setEngagedModules

    public void setEngagedModules(java.util.Set engagedModules)

  Setter for property 'engagedModules'.

  Parameters:
    `engagedModules` - Value to set for property 'engagedModules'.
  See Also:
    `getEngagedModules()`

### getServiceGroup

    public ServiceGroupDO getServiceGroup()

  Getter for property 'serviceGroup'.

  Returns:
    Value for property 'serviceGroup'.
  See Also:
    `setServiceGroup(org.wso2.wsas.persistence.dataobject.ServiceGroupDO)`

### setServiceGroup

    public void setServiceGroup(ServiceGroupDO serviceGroup)

  Setter for property 'serviceGroup'.

  Parameters:
    `serviceGroup` - Value to set for property 'serviceGroup'.
  See Also:
    `getServiceGroup()`

### getSecurityScenario

    public SecurityScenarioDO getSecurityScenario()

  Getter for property 'securityScenario'.

  Returns:
    Value for property 'securityScenario'.
  See Also:
    `setSecurityScenario(org.wso2.wsas.persistence.dataobject.SecurityScenarioDO)`

### setSecurityScenario

    public void setSecurityScenario(SecurityScenarioDO securityScenario)

  Setter for property 'securityScenario'.

  Parameters:
    `securityScenario` - Value to set for property 'securityScenario'.
  See Also:
    `getSecurityScenario()`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getDocumentation

    public java.lang.String getDocumentation()

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD